Subject: bug#14729: [External] : bug#14729: 24.3.50; Isearch oddity

From: Drew Adams <[email-masked]>
Date: Mon, 6 Dec 2021 16:01:16 +0000

> >> > Honestly, I have no idea what is right and what
> >> > is wrong in this situation
> >>
> >> Me neither, but it's not quite optimal the way it is now.
> >
> > That exchange is telling.
> >
> > As I suggested, let users control the behavior
> > (Isearch+ does that).  Don't look for a single
> > behavior that's "right" for everyone in all
> > contexts.
> 
> This means adding a new user option for this small detail?

I described what I do in Isearch+.  There's a
user option, AND users can choose/change the
current behavior on the fly, during Isearch.

There are of course other ways to skin this cat.

My point above was that you seem to have come to
the (correct) conclusion that one size doesn't
fit all.  How you want to go forward from that
conclusion is TBD.